gnutls_pkcs7_add_attr(3)

NAME
gnutls_pkcs7_add_attr - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_add_attr(gnutls_pkcs7_attrs_t * list, const char * oid, gnutls_datum_t * data, unsigned flags);

ARGUMENTS

gnutls_pkcs7_attrs_t * list
    A list of existing attributes or pointer to NULL for the first one

const char * oid
    the OID of the attribute to be set

gnutls_datum_t * data
    the raw (DER-encoded) data of the attribute to be set

unsigned flags
    zero or GNUTLS_PKCS7_ATTR_ENCODE_OCTET_STRING

DESCRIPTION
This function will set a PKCS 7 attribute in the provided list. If this function fails, the previous list would be deallocated. Note that any attributes set with this function must either be DER or BER encoded, unless a special flag is present.

RETURNS
On success, the new list head, otherwise NULL.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/